package main

type PortType uint8

const (
	BBB PortType = iota
	SSS
	BBS
	SBB
	BSB
	SBS
	SSB
	BSS
	StarDock
)

type Port struct {
	ID        ID
	Name      string
	Owner     ID
	CorpOwned bool
	Type      PortType
	Credits   uint64
	Ore       uint64
	MaxOre    uint64
	Org       uint64
	MaxOrg    uint64
	Equ       uint64
	MaxEqu    uint64
}
